API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/documents/upload

POST/v1/dms/documents/upload

Create a DMS document and get a presigned upload URL

Request Body

NameTypBeschreibung
titleerforderlichstring
fileNameerforderlichstring
mimeTypeerforderlichstring
sizeByteserforderlichinteger
documentTypestring
documentTypeIdstring
folderIdstring
folderPathstring
partyIdstring
contractIdstring
projectIdstring
employeeIdstring
tagsstring[]
entityTypestring
entityIdstring
encryptionOverridestring
encryptionobject

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/documents/upload \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "title": "string",
  "fileName": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "documentType": "string",
  "documentTypeId": "string",
  "folderId": "string",
  "folderPath": "string",
  "partyId": "string",
  "contractId": "string",
  "projectId": "string",
  "employeeId": "string",
  "tags": [],
  "entityType": "string",
  "entityId": "string",
  "encryptionOverride": "none",
  "encryption": null
}'
const result = await cm.dms.post({
  "title": "string",
  "fileName": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "documentType": "string",
  "documentTypeId": "string",
  "folderId": "string",
  "folderPath": "string",
  "partyId": "string",
  "contractId": "string",
  "projectId": "string",
  "employeeId": "string",
  "tags": [],
  "entityType": "string",
  "entityId": "string",
  "encryptionOverride": "none",
  "encryption": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche